<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 68;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'nlAnmeldungDirekt';
$setting->description = 'Kein Double Opt-in durchführen';
$setting->help = 'Die Newsletteranmeldung wird dann direkt an die Einrichtung versendet, ohne dass der Absender sie aus der E-Mail heraus noch einmal bestätigen muss.';
$toolsettings = ToolSettingsAPI::getToolSettings(4);
if ($toolsettings->nlAnmeldungDirekt) {
  $setting->help .= '<div class="status_warning">Achtung! Falls der Link zum Double Opt-in in der E-Mail nicht stimmt, kontrollieren Sie bitte die Einstellung '
          . '"Pfad zur Indexdatei auf dem Server:" unter <a href="index.php?action=settings&sub1=4&sub2=1">Einstellungen / Konstanten / Allgemein</a></div>';
}
$setting->subGroup = 'Newsletteranmeldung';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'nlDblOptinDays';
$setting->description = 'Maximale Gültigkeit für Double Opt-in Einträge';
$setting->help = 'Tragen Sie hier die maximale Anzahl der Tage für Double Opt-in Einträge ein. Wenn die Einträge die maximale Gültigkeit überschreiten, können diese durch
die Option "Säubern" aus der Datenbank gelöscht werden.';

$setting->additionalContent = new PageAjaxTruncateDoubleOptin();
$setting->subGroup = 'Newsletteranmeldung';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);


$allgSettings = AllgSettingsAPI::getAllgSettings();
$tool4settings = ToolSettingsAPI::getToolSettings(4);
$setting = new Setting();
$setting->name = 'nlSendAnmeldeInfoMail';
$setting->description = 'Bei neuer Newsletteranmeldung E-Mail versenden';
$setting->help = 'Beim Eingang einer neuen Newsletteranmeldung wird eine Info-E-Mail an die Einrichtung versendet.'
    . ' Empfänger ist die Adresse, welche für die "Kopie der Anmeldebestätigung" (Layout / Warenkorb / Allgemein: ' . $tool4settings->bccAnmeldebestaetigungeMailAdresse . ') eingetragen ist, '
    . 'oder falls diese leer ist, an die "E-Mail der Schulungseinrichtung" (' . $allgSettings->vhsemail . ').' . BR
    . 'Der Inhalt der E-Mail ist das ausgefüllte Newsletter-Anmeldeformular (Sicht 262) mit deaktivierten Formular-Elementen.';
$setting->subGroup = 'Newsletteranmeldung';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$allgSettings = AllgSettingsAPI::getAllgSettings();
$tool4settings = ToolSettingsAPI::getToolSettings(4);
$setting = new Setting();
$setting->name = 'nlSaveBak';
$setting->description = 'Newsletteranmeldung als bak Datei speichern';
$setting->help = 'Diese Einstellung wird nur im Online- und DMZ-Betrieb berücksichtigt.';
$setting->subGroup = 'Newsletteranmeldung';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

if (defined('ADMIN_SHOW_PAGE')) {
  $dbwKennz = DBWorkKennz::getDefaultInstance();
  $kennzListe = $dbwKennz->getAllKennzeichen();
  $kennzarr = array('--- Kennzeichen auswählen ---');
  foreach ($kennzListe as $kennz) {
    $kennzarr[$kennz->kennz] = \CleanOperations::cleanStringForHtml($kennz->kennz . ' - ' . $kennz->text);
  }
} else {
  $kennzarr = array();
}
$setting = new Setting();
$setting->name = 'nlBestKennz';
$setting->description = 'Kennzeichen für Bestätigung';
$setting->help = 'Um die Selektionen in KuferSQL zu vereinfachen, kann ein Kennzeichen mit übergeben werden.';
$setting->subGroup = 'Newsletterbestätigung aus KuferSQL';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = $kennzarr;
array_push($settingsArray, $setting);